#include "guess.h"
using namespace std;
int find_number(int n) {
    int ans = 0;
    int ahh = 1;
    while(ahh * 2 <= n) ahh *= 2;
    for(int bit = ahh; bit > 0; bit /= 2) {
        if(!smaller(ans + bit)) {
            ans += bit;
        }
    }
    return ans;
}

